XmClipboardEndRetrieve(3Xm)

NAME
XmClipboardEndRetrieve — a clipboard function that ends a copy from the clipboard.

SYNOPSIS
#include <Xm/Xm.h>
#include <Xm/CutPaste.h>

int XmClipboardEndRetrieve (display, window)
    Display    * display;
    Window    window;

DESCRIPTION
XmClipboardEndRetrieve suspends copying data incrementally from the clipboard. It tells the clipboard routines that the application is through copying an item from the clipboard. Until this function is called, data items can be retrieved incrementally from the clipboard by calling XmClipboardRetrieve. If the application calls XmClipboardStartRetrieve, it must call XmClipboardEndRetrieve. If data is not being copied incrementally, XmClipboardStartRetrieve and XmClipboardEndRetrieve do not need to be called.

display
    Specifies a pointer to the Display structure that was returned in a previous call to XOpenDisplay or XtDisplay.

window
    Specifies a widget's window ID that relates the application window to the clipboard. The widget's window ID can be obtained by using XtWindow. The same application instance should pass the same window ID to each of the clipboard functions that it calls.

RETURN VALUE

ClipboardSuccess
    The function is successful.

ClipboardLocked
    The function failed because the clipboard was locked by another application. The application can continue to call the function again with the same parameters until the lock goes away. This gives the application the opportunity to ask if the user wants to keep trying or to give up on the operation.

RELATED INFORMATION
XmClipboardRetrieve(3Xm), XmClipboardStartCopy(3Xm), and XmClipboardStartRetrieve(3Xm).